Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IGroupwareSession

All Superinterfaces:
  ISession, java.io.Serializable

All Known Subinterfaces:
  IExchangeSession, IWebdavSession

public interface IGroupwareSession
extends ISession

Superclass of all groupware sessions. Provides the ability to get the default groupware root containers and containers within those roots. As an example, the code to get the calendar folder with minimum properties would be:
`IContainer calContainer = groupwareSession.getDefaultContainer (DefaultContainerClassEnum.CALENDAR);`

Field Summary

Fields inherited from interface com.compoze.collab.ISession
`PROP_ADMIN_LOCALE, PROP_AUTO_FETCH, PROP_CACHE_DEPENDENCY_CHECK_MILLIS, PROP_CACHE_ENABLED, PROP_CACHE_QUERY_MAX, PROP_CACHE_UPDATE_MILLIS, PROP_CACHE_USE_SOFT_REFERENCES, PROP_LOCALE, PROP_LOG_LEVEL, PROP_PROGRAMMER_LOCALE, PROP_PROVIDER, PROP_SCHEMA, PROPVALUE_REMOVE, STATE_AUTHENTICATED, STATE_INITIALIZED, STATE_OPEN, STATE_UNINITIALIZED`

Method Summary
`java.util.Calendar` | `getCalendar()` Gets a calendar instance in the user's time zone and locale.
`IContainer` | `getDefaultContainer(DefaultContainerClass containerClass)` Gets the container that represents the specified default container class from the session's default root container.
`IContainer` | `getDefaultContainer(DefaultContainerClass containerClass, FetchProfile profile)` Gets the container that represents the specified default container class from the session's default root container.
`IRootContainer` | `getRootContainer(DefaultRootContainerClass defaultRootContainerClass)` Gets the the root container specified by the supplied type.
`IRootContainer` | `getRootContainer(DefaultRootContainerClass defaultRootContainerClass, FetchProfile profile)` Gets the the root container specified by the supplied type.
`java.util.TimeZone` | `getTimeZone()` Gets the user's timezone.
`java.util.TimeZone` | `getTimeZone(boolean bDefault)` Gets the user's timezone.
`void` | `setTimeZone(java.util.TimeZone timezone)` Sets the user's timezone.

Methods inherited from interface com.compoze.collab.ISession
`addLogListener, close, endProfile, endTimer, endTimer, getAdminLocale, getAttribute, getDefaultRootContainer, getDefaultRootContainer, getLocale, getLogLevel, getOption, getOptions, getProgrammerLocale, getProperty, getProvider, getState, invalidateCache, isCapabilitySupported, log, login, login, logout, open, open, removeAttribute, setAdminLocale, setAttribute, setLocale, setLogLevel, setOption, setOptions, setProgrammerLocale, startProfile, startProfile, startTimer, startTimer`

Method Detail

### getDefaultContainer

    public IContainer getDefaultContainer(DefaultContainerClass containerClass)
                                   throws CollaborationException

  Gets the container that represents the specified default container class from the session's default root container. Uses `IContainer.MINIMUM_CONTAINER_KEYS` to retrieve properties for the specified type.

  Parameters:
    `containerClass` - the type of container to retrieve, or `null` if the container type could not be found.
  Returns:
    the container associated with the specified type to retrieve.
  Throws:
    `CollaborationException`

### getDefaultContainer

    public IContainer getDefaultContainer(DefaultContainerClass containerClass,
                                          FetchProfile profile)
                                   throws CollaborationException

  Gets the container that represents the specified default container class from the session's default root container.

  Parameters:
    `containerClass` - the type of container to retrieve (not `null`)
    `profile` - the profile to use when retrieving the specified container type.
  Returns:
    the container associated with the specified type to retrieve, or `null` if the container type could not be found.
  Throws:
    `CollaborationException`

### getRootContainer

    public IRootContainer getRootContainer(DefaultRootContainerClass defaultRootContainerClass)
                                    throws CollaborationException

  Gets the the root container specified by the supplied type.

  Parameters:
    `defaultRootContainerClass` - the type of container to retrieve.
  Returns:
    the root container for the specified type.
  Throws:
    `CollaborationException`

### getRootContainer

    public IRootContainer getRootContainer(DefaultRootContainerClass defaultRootContainerClass,
                                           FetchProfile profile)
                                    throws CollaborationException

  Gets the the root container specified by the supplied type.

  Parameters:
    `defaultRootContainerClass` - the type of container to retrieve.
    `profile` - the profile to use when retrieving the root container.
  Returns:
    the root container for the specified type.
  Throws:
    `CollaborationException`

### setTimeZone

    public void setTimeZone(java.util.TimeZone timezone)
                     throws CollaborationException

  Sets the user's timezone.

  Parameters:
    `timezone` - the java timezone (not `null`)
  Throws:
    `CollaborationException` - if there was an error setting the timezone.

### getTimeZone

    public java.util.TimeZone getTimeZone()
                                   throws CollaborationException

  Gets the user's timezone.

  Returns:
    the timezone previously set, or `null` if it is not set
  Throws:
    `CollaborationException` - if there was an error getting the time zone
  See Also:
    `setTimeZone(TimeZone)`, `getTimeZone(boolean)`

### getTimeZone

    public java.util.TimeZone getTimeZone(boolean bDefault)
                                   throws CollaborationException

  Gets the user's timezone.

  Parameters:
    `bDefault` - if `true` and the time zone is not already set, return the VM's default time zone, otherwise return null
  Returns:
    the timezone previously set, `null` if it was never set and `bDefault` is `false` or the VM's default time zone if it was never set the `bDefault` is `true`
  Throws:
    `CollaborationException` - if there was an error getting the time zone
  See Also:
    `setTimeZone(TimeZone)`

### getCalendar

    public java.util.Calendar getCalendar()
                                   throws CollaborationException

  Gets a calendar instance in the user's time zone and locale.

  Returns:
    the calendar instance (not `null`)
  Throws:
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.